Index: postlfs/security/heimdal/heimdal-config.xml
===================================================================
--- postlfs/security/heimdal/heimdal-config.xml	(revision 619dd53db6d4a890d3d9452ff117dce1540c86c7)
+++ postlfs/security/heimdal/heimdal-config.xml	(revision cc75bcecf3c0920f8b60f5bb27c0abcfdfd5ffe3)
@@ -14,5 +14,5 @@
 </para>
 
-<screen><userinput><command>mkdir /etc/heimdal &amp;&amp;
+<screen><userinput><command>install -d /etc/heimdal &amp;&amp;
 cat > /etc/heimdal/krb5.conf << "EOF"</command>
 # Begin /etc/heimdal/krb5.conf
@@ -26,4 +26,5 @@
         kdc = <replaceable>[belgarath.lfs.org]</replaceable>
         admin_server = <replaceable>[belgarath.lfs.org]</replaceable>
+        kpasswd_server = <replaceable>[belgarath.lfs.org]</replaceable>
     }
 
@@ -174,4 +175,5 @@
 </para>
 
+<!--
 <para>Install <filename>/etc/rc.d/init.d/heimdal</filename> init script
 included in the <xref linkend="intro-important-bootscripts"/>
@@ -179,7 +181,122 @@
 
 <screen><userinput><command>make install-heimdal</command></userinput></screen>
+-->
+
+<para>
+To automate the running of Kerberos server and 
+<command>kpasswdd</command> daemon, use the following command to create
+the init.d script:
+</para>
+
+<screen><userinput><command>cat > /etc/rc.d/init.d/heimdal << "EOF"</command>
+#!/bin/sh
+# Begin $rc_base/init.d/heimdal
+
+# Based on sysklogd script from LFS-3.1 and earlier.
+# Rewritten by Gerard Beekmans  - gerard@linuxfromscratch.org
+# Heimdal bootscript submitted by Randy McMurchy - LFS-User@mcmurchy.com
+
+. /etc/sysconfig/rc
+. $rc_functions
+
+case "$1" in
+        start)  
+                echo "Starting KDC Server Daemon..."
+                if test -f "/var/run/kdc.pid"
+                then
+                        print_status warning running
+                else
+                        /usr/sbin/kdc &
+                        sleep 1
+                        if test -f "/var/run/kdc.pid"
+                        then
+                                print_status success
+                        else
+                                print_status failure
+                        fi
+                fi
+                echo "Starting KDC kpasswdd Daemon..."
+                if test -f "/var/run/kpasswdd.pid"
+                then
+                        print_status warning running
+                else
+                        /usr/sbin/kpasswdd &
+                        sleep 1
+                        if test -f "/var/run/kpasswdd.pid"
+                        then
+                                print_status success
+                        else
+                                print_status failure
+                        fi
+                fi
+                ;;
+
+        stop)   
+                echo "Stopping KDC kpasswdd Daemon..."
+                killproc /usr/sbin/kpasswdd
+                echo "Stopping KDC Server Daemon..."
+                killproc /usr/sbin/kdc
+                ;;
+
+        restart)
+                $0 stop
+                sleep 1
+                $0 start
+                ;;
+
+        status)
+                statusproc /usr/sbin/kdc
+                statusproc /usr/sbin/kpasswdd
+                ;;
+
+        *)
+                echo "Usage: $0 {start|stop|restart|status}"
+                exit 1
+                ;;
+esac
+
+# End $rc_base/init.d/heimdal
+<command>EOF</command></userinput></screen>
+
+<para>
+Create the symbolic links to this file in the relevant <filename
+class="directory">rc.d</filename> directory with the following commands:
+</para>
+
+<screen><userinput><command>cd /etc/rc.d/init.d &amp;&amp;
+ln -sf ../init.d/heimdal ../rc0.d/K42heimdal &amp;&amp;
+ln -sf ../init.d/heimdal ../rc1.d/K42heimdal &amp;&amp;
+ln -sf ../init.d/heimdal ../rc2.d/K42heimdal &amp;&amp;
+ln -sf ../init.d/heimdal ../rc3.d/S28heimdal &amp;&amp;
+ln -sf ../init.d/heimdal ../rc4.d/S28heimdal &amp;&amp;
+ln -sf ../init.d/heimdal ../rc5.d/S28heimdal &amp;&amp;
+ln -sf ../init.d/heimdal ../rc6.d/K42heimdal</command></userinput></screen>
 
 </sect4>
 
+<sect4><title>Using Kerberized Client Programs</title>
+
+<para>
+To use the kerberized client programs (<command>telnet</command>,
+<command>ftp</command>, <command>rsh</command>,
+<command>rxterm</command>, <command>rxtelnet</command>,
+<command>rcp</command>, <command>xnlock</command>), you first must get
+an authentication ticket. Use the <command>kinit</command> program to
+get the ticket. After you've acquired the ticket, you can use the
+kerberized programs to connect to any kerberized server on the network.
+You will not be prompted for authentication until your ticket expires
+(default is one day), unless you specify a different user as a command
+line argument to the program.
+</para>
+
+<para>
+The kerberized programs will connect to non kerberized daemons, warning
+you that authentication is not encrypted. As mentioned earlier, only the
+<command>ftp</command> program gives any trouble connecting to non
+kerberized daemons.
+</para>
+
+</sect4>
+
 </sect3>
 
Index: postlfs/security/heimdal/heimdal-intro.xml
===================================================================
--- postlfs/security/heimdal/heimdal-intro.xml	(revision 619dd53db6d4a890d3d9452ff117dce1540c86c7)
+++ postlfs/security/heimdal/heimdal-intro.xml	(revision cc75bcecf3c0920f8b60f5bb27c0abcfdfd5ffe3)
@@ -11,6 +11,6 @@
 ensure that passwords cannot be stolen. A Kerberos installation will
 make changes to the authentication mechanisms on your network and will
-overwrite several programs and daemons from the Coreutils, Inetutils and
-Shadow packages.
+overwrite several programs and daemons from the Coreutils, Inetutils,
+Qpopper and Shadow packages.
 </para>
 
@@ -41,5 +41,4 @@
 <sect4><title>Optional</title>
 <para>
-<xref linkend="tcpwrappers"/>,
 <xref linkend="readline"/>,
 <xref linkend="Linux_PAM"/>,
